import playwright from 'playwright-core';
import { BrowserController, BrowserRequestHandler } from './BrowserController';
export declare class PlaywrightController implements BrowserController {
    private readonly page;
    constructor(page: playwright.Page);
    startInterception(onRequest: BrowserRequestHandler): Promise<void>;
    private toBrowserRequest;
    private respond;
    private skip;
    /**
     * Obtain request origin url from originating frame url
     */
    private getRequestOrigin;
}
//# sourceMappingURL=PlaywrightController.d.ts.map