import { MatchedRequest, MockedResponse, MockOptions, MockedResponseObject, RequestMatcher } from './types';
import { BrowserRequest } from './controllers/BrowserController';
export declare class Mock {
    private matcher;
    private response;
    private requests;
    private debugId;
    options: MockOptions;
    constructor(matcher: RequestMatcher, response: MockedResponse, options?: Partial<MockOptions>);
    private debug;
    private debugMiss;
    waitForRequest(index?: number): Promise<MatchedRequest>;
    waitForRequestsCount(count: number): Promise<void>;
    getResponseForRequest(request: BrowserRequest): MockedResponseObject | null;
    private getRequestMatch;
    private parseMatcher;
    private requestParamsMatch;
    private prettyPrint;
}
//# sourceMappingURL=mock.d.ts.map